# Versioning & Development Cycle

The versioning policy follows the [Semantic Versioning](https://semver.org/).
Since Tutu is an app for the end user, we redefine the some words in the policy:

- API changes: the app is no longer available on certain platforms.

## Development Cycle

Dependency Freeze -> Development -> Release

### Dependency Freeze

This step is for:

- Update dependencies
- Prepare the new version (like, bump the version number).

New dependencies should not be added in this step.

### Development

In this step, dependencies can only be updated if it's required to fix bugs.

New dependencies should be added as their use, in this step.

### Release

The version is released to production in this step.

Before the next development step, new versions can still be released to
fix bugs.
