import { Component, JSX, splitProps } from "solid-js";
import "./typography.css";

/**
 * Material-styled button.
 *
 * @param type Same as `<button>`'s type property, the default is 'button'
 */
const Button: Component<JSX.ButtonHTMLAttributes<HTMLButtonElement>> = (
  props,
) => {
  const [managed, passthough] = splitProps(props, [ "type"]);
  const type = () => managed.type ?? "button";

  return (
    <button
      type={type()}
      {...passthough}
    ></button>
  );
};

export default Button;
